// Illustratorのアクティブドキュメントを取得
var doc = app.activeDocument;

// 正規表現で削除対象のスタイルを定義（名前の最後が「 空白+数字」）
var regex = /\s\d+$/;

// 削除したスタイルのカウント
var removedCount = 0;

// グラフィックスタイルの処理
var styles = doc.graphicStyles;

// 逆順でループ（削除時のインデックスずれを防ぐ）
for (var i = styles.length - 1; i >= 0; i--) {
    var style = styles[i];

    // 削除可能なスタイルか確認（デフォルトのスタイルを除外）
    if (!style.isDefault && regex.test(style.name)) {
        try {
            style.remove();
            removedCount++;
        } catch (e) {
            // 削除時にエラーが発生した場合の処理
            $.writeln("削除できなかったスタイル: " + style.name);
        }
    }
}

// 処理完了メッセージを表示
if (removedCount > 0) {
    alert("不要なスタイルを " + removedCount + " 個削除しました。");
} else {
    alert("不要なスタイルは見つかりませんでした。");
}